Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 2427963004: Update table.deleteRow(-1) to latest spec (Closed)

Created:
3 years, 11 months ago by rwlbuis
Modified:
3 years, 11 months ago
Reviewers:
qyearsley, foolip
CC:
chromium-reviews, blink-reviews, dglazkov+blink, blink-reviews-html_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Update table.deleteRow(-1) to latest spec Update table.deleteRow(-1) behavior to latest spec, the change is that if there are no rows left to delete we do nothing instead of throwing an IndexSizeError exception. BUG=657837 Committed: https://crrev.com/e9faa823cc6e16ca6cc9570d4c54a7e8dc8cf56b Cr-Commit-Position: refs/heads/master@{#427073}

Patch Set 1 #

Patch Set 2 : Retry now new imported tests are there #

Unified diffs Side-by-side diffs Delta from patch set Stats (+2 lines, -9 lines) Patch
D third_party/WebKit/LayoutTests/imported/wpt/html/semantics/tabular-data/the-table-element/remove-row-expected.txt View 1 1 chunk +0 lines, -9 lines 0 comments Download
M third_party/WebKit/Source/core/html/HTMLTableElement.cpp View 1 chunk +2 lines, -0 lines 0 comments Download

Messages

Total messages: 22 (11 generated)
rwlbuis
Not up for review yet, but I figured it would be nice to have this ...
3 years, 11 months ago (2016-10-18 15:28:15 UTC) #5
rwlbuis
On 2016/10/18 15:28:15, rwlbuis wrote: > Not up for review yet, but I figured it ...
3 years, 11 months ago (2016-10-18 15:42:00 UTC) #6
rwlbuis
On 2016/10/18 15:42:00, rwlbuis wrote: > On 2016/10/18 15:28:15, rwlbuis wrote: > > Not up ...
3 years, 11 months ago (2016-10-20 11:57:20 UTC) #8
foolip
qyearsley@, would it be best for Rob to just wait for your next import, does ...
3 years, 11 months ago (2016-10-20 13:57:02 UTC) #10
rwlbuis
On 2016/10/20 13:57:02, foolip wrote: > qyearsley@, would it be best for Rob to just ...
3 years, 11 months ago (2016-10-20 14:38:53 UTC) #12
qyearsley
On 2016/10/20 at 13:57:02, foolip wrote: > qyearsley@, would it be best for Rob to ...
3 years, 11 months ago (2016-10-20 16:29:54 UTC) #13
rwlbuis
@foolip I think this is ready for review now, I adjusted the patch now that ...
3 years, 11 months ago (2016-10-24 13:27:28 UTC) #15
foolip
lgtm
3 years, 11 months ago (2016-10-24 13:33:13 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2427963004/40001
3 years, 11 months ago (2016-10-24 13:33:34 UTC) #18
commit-bot: I haz the power
Committed patchset #2 (id:40001)
3 years, 11 months ago (2016-10-24 15:09:31 UTC) #20
commit-bot: I haz the power
3 years, 11 months ago (2016-10-24 15:12:51 UTC) #22
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/e9faa823cc6e16ca6cc9570d4c54a7e8dc8cf56b
Cr-Commit-Position: refs/heads/master@{#427073}

Powered by Google App Engine
This is Rietveld 408576698